using System.Runtime.Serialization;

namespace DiplomovaPrace.Contracts.Orders
{
	[DataContract]
	public class OrderListQueryFilter
	{
		[DataMember(Order = 1)]
		public int? OrderStateID { get; set; }

		[DataMember(Order = 2)]
		public int? PaymentTypeID { get; set; }

		[DataMember(Order = 3)]
		public int? PaymentStateID { get; set; }

		[DataMember(Order = 4)]
		public int? DeliveryTypeID { get; set; }

		[DataMember(Order = 5)]
		public string SearchString { get; set; }
	}
}
